DEVCLASS_GET_SOFTC(9)

NAME
devclass_get_softc - translate unit number to driver private structure

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void *
devclass_get_softc(devclass_t dc, int unit);

DESCRIPTION
This function retrieves the driver private instance variables for the device with the given unit number and returns it.

RETURN VALUES
If the device exists, its driver-private variables are returned, otherwise NULL is returned.

SEE ALSO
device(9)

AUTHORS
This manual page was written by Doug Rabson.